events.listen('recipes', function (event) {
event.recipes.create.mechanical_crafting('losttrinkets:magical_feathers', [
  'MAAAM',
  'BCDCB',
  'EFGFE',
  'HIJIH',
  'MKLKM'
], {
  A: 'magicfeather:magicfeather',
  B: 'botania:ender_air_bottle',
  C: 'rats:biplane_wing',
  D: (Item.of('minecraft:elytra').ignoreNBT()),
  E: 'mythicbotany:alfsteel_armor_upgrade',
  F: 'mana-and-artifice:spectral_elytra',
  G: 'forbidden_arcanus:eternal_stella',
  H: 'forbidden_arcanus:arcane_dragon_egg',
  I: (Item.of('botania:flight_tiara').ignoreNBT()),
  J: 'rats:idol_of_ratlantis',
  K: 'xreliquary:angelic_feather',
  L: 'kubejs:uninspiring_rainbow_block',
  M: 'create:refined_radiance'
	});
	
event.recipes.create.mechanical_crafting('magicfeather:magicfeather', [
  'ABBC ',
  'BDEBC',
  'BEFEB',
  'CBEDB',
  ' CBBA'
], {
  A: '#forge:feathers',
  B: 'create:refined_radiance',
  C: 'mysticalworld:quicksilver_block',
  D: 'naturesaura:sky_ingot',
  E: 'minecraft:end_rod',
  F: (Item.of('minecraft:elytra').ignoreNBT())
	})
	
event.recipes.create.mechanical_crafting('tiab:timeinabottle', [
  ' AAA ',
  'ABCBA',
  'ABDBA',
  'ABEBA',
  ' AAA '
], {
  A: 'create:refined_radiance',
  B: 'quark:bottled_cloud',
  C: 'botania:mana_bottle',
  D: 'naturesaura:clock_hand',
  E: 'ars_nouveau:glyph_duration_down'
	})
	
	//trident
	
	event.recipes.create.mechanical_crafting('minecraft:trident', [
  '  A A',
  ' A A ',
  '  B A',
  ' C A ',
  'C    '
], {
  A: ['outvoted:kraken_tooth', 'alexsmobs:shark_tooth', 'upgrade_aquatic:thrasher_tooth'],
  B: 'minecraft:heart_of_the_sea',
  C: 'upgrade_aquatic:prismarine_rod'
	})	
	
		
event.recipes.create.mixing('kubejs:uninspiring_rainbow_chunk', [
	'forbidden_arcanus:stellarite_piece',
	'bountifulbaubles:spectral_silt',
	'quark:rainbow_rune',
	'mysticalworld:amethyst',
	'botania:dragonstone',
	'druidcraft:amber',
	'iceandfire:sapphire_gem',
	'botania:mana_diamond'
]).superheated()

event.recipes.create.mixing('ironfurnaces:rainbow_plating', [
	'undergarden:utherium_ingot',
	'immersiveengineering:plate_constantan',
	'kubejs:uninspiring_rainbow_chunk'
]).heated()

event.recipes.create.mixing('undergarden:forgotten_nugget', [
	'create:shadow_steel',
	'undergarden:regalium_ingot',
	'botania:terrasteel_nugget'
]).heated()

event.recipes.create.mixing('iceandfire:ghost_ingot', [
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'iceandfire:ectoplasm',
	'betterendforge:terminite_ingot'
]).heated()

event.recipes.create.compacting('kubejs:uninspiring_rainbow_block', [
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'kubejs:uninspiring_rainbow_chunk',
	'biomesoplenty:nether_crystal_block',
	'botania:mana_diamond_block',
	'farlanders:endumium_block',
	'druidcraft:amber_block',
	'minecraft:nether_star'
]).superheated()

event.recipes.create.mixing('forbidden_arcanus:arcane_gold_ingot', [
	'forbidden_arcanus:arcane_crystal_dust',
	'forbidden_arcanus:arcane_crystal_dust',
	'forbidden_arcanus:mundabitur_dust',
	'forbidden_arcanus:mundabitur_dust',
	'eidolon:arcane_gold_ingot',
	'minecraft:charcoal',
	'minecraft:charcoal',
	'minecraft:charcoal',
	'minecraft:charcoal'
]).heated()

event.recipes.create.mixing(Item.of('forbidden_arcanus:mundabitur_dust', 4), [
	'minecraft:phantom_membrane',
	'minecraft:blaze_powder',
	'minecraft:redstone',
	'forbidden_arcanus:arcane_crystal_dust',
	'biomesoplenty:nether_crystal',
	'biomesoplenty:nether_crystal',
	'biomesoplenty:nether_crystal',
	'biomesoplenty:nether_crystal'
])

event.recipes.create.mixing(Item.of('forbidden_arcanus:corrupti_dust', 4), [
	'forbidden_arcanus:obsidian_ingot',
	'forbidden_arcanus:ender_pearl_fragment',
	'minecraft:blaze_powder',
	'forbidden_arcanus:arcane_crystal_dust',
	'minecraft:nether_wart'
])

event.recipes.create.mixing('forbidden_arcanus:edelwood_log', [
	'forbidden_arcanus:arcane_crystal_dust',
	'forbidden_arcanus:arcane_crystal_dust',
	'forbidden_arcanus:arcane_crystal_dust',
	'forbidden_arcanus:arcane_crystal_dust',
	['forbidden_arcanus:mysterywood_log', 'forbidden_arcanus:mysterywood'],
	'minecraft:soul_sand',
	'minecraft:soul_sand',
	'minecraft:soul_sand',
	'minecraft:soul_sand'
])

event.recipes.create.crushing([
  'minecraft:string',
  'minecraft:string',
  'minecraft:string',
  Item.of('minecraft:wheat_seeds').withChance(0.05)
], 'extcaves:plant_fiber')

event.recipes.create.milling([
  'minecraft:string',
  'minecraft:string',
  Item.of('minecraft:wheat_seeds').withChance(0.05)
], 'extcaves:plant_fiber')

event.recipes.create.crushing([
  Item.of('minecraft:prismarine_shard').withChance(0.5),
  Item.of('minecraft:prismarine_crystals').withChance(0.1)
], 'minecraft:prismarine')

event.recipes.create.crushing([
  Item.of('minecraft:prismarine_shard').withChance(0.5),
  Item.of('minecraft:prismarine_crystals').withChance(0.1)
], 'minecraft:prismarine_bricks')

event.recipes.create.crushing([
  Item.of('minecraft:prismarine_shard').withChance(0.5),
  Item.of('minecraft:ink_sac').withChance(0.05)
], 'minecraft:dark_prismarine')

//fragments

event.recipes.create.crushing([
  'more_jellyfish:diamond_fragment',
  'more_jellyfish:diamond_fragment',
  'more_jellyfish:diamond_fragment',
  'more_jellyfish:diamond_fragment',
  'more_jellyfish:diamond_fragment',
  Item.of('more_jellyfish:diamond_fragment').withChance(0.5)
], 'minecraft:diamond')

event.recipes.create.crushing([
  'more_jellyfish:emerald_fragment',
  'more_jellyfish:emerald_fragment',
  'more_jellyfish:emerald_fragment',
  'more_jellyfish:emerald_fragment',
  'more_jellyfish:emerald_fragment',
  Item.of('more_jellyfish:emerald_fragment').withChance(0.5)
], 'minecraft:emerald')

event.recipes.create.milling([
  'more_jellyfish:diamond_fragment',
  'more_jellyfish:diamond_fragment',
  'more_jellyfish:diamond_fragment',
  Item.of('more_jellyfish:diamond_fragment').withChance(0.25)
], 'minecraft:diamond')

event.recipes.create.milling([
  'more_jellyfish:emerald_fragment',
  'more_jellyfish:emerald_fragment',
  'more_jellyfish:emerald_fragment',
  Item.of('more_jellyfish:emerald_fragment').withChance(0.25)
], 'minecraft:emerald')

//ocultism

event.recipes.create.crushing([
  'occultism:crushed_end_stone',
  'occultism:crushed_end_stone'
], 'minecraft:end_stone')

event.recipes.create.crushing([
  'occultism:iesnium_dust',
  'occultism:iesnium_dust'
], 'occultism:iesnium_ore')

	//bufflon_seats

event.recipes.create.crushing([
  'pandoras_creatures:bufflon_hide',
  Item.of('immersiveengineering:dust_wood', 3),
  Item.of('immersiveengineering:dust_wood').withChance(0.5),
  'minecraft:string',
  Item.of('minecraft:string').withChance(0.5),
  Item.of('quark:ravager_hide').withChance(0.05)
], 'pandoras_creatures:bufflon_saddle')

event.recipes.create.crushing([
  Item.of('pandoras_creatures:bufflon_hide', 2),
  Item.of('minecraft:iron_ingot', 2),
  Item.of('minecraft:iron_ingot').withChance(0.5),
  Item.of('minecraft:iron_nugget', 4).withChance(0.25),
  Item.of('immersiveengineering:dust_wood', 3),
  Item.of('immersiveengineering:dust_wood').withChance(0.5),
  'minecraft:string',
  Item.of('minecraft:string').withChance(0.5),
  Item.of('quark:ravager_hide').withChance(0.05)
], 'pandoras_creatures:bufflon_player_seats')

event.recipes.create.crushing([
  Item.of('minecraft:iron_ingot', 4),
  Item.of('minecraft:iron_ingot', 2).withChance(0.5),
  Item.of('minecraft:iron_nugget', 4).withChance(0.25),
  Item.of('immersiveengineering:dust_wood', 3),
  Item.of('immersiveengineering:dust_wood').withChance(0.5),
  'minecraft:string',
  Item.of('minecraft:string').withChance(0.5)
], 'pandoras_creatures:bufflon_large_storage')

event.recipes.create.crushing([
  'pandoras_creatures:bufflon_hide',
  Item.of('minecraft:iron_ingot', 4),
  Item.of('minecraft:iron_ingot', 2).withChance(0.5),
  Item.of('minecraft:iron_nugget', 4).withChance(0.25),
  Item.of('immersiveengineering:dust_wood', 3),
  Item.of('immersiveengineering:dust_wood').withChance(0.5),
  'minecraft:string',
  Item.of('minecraft:string').withChance(0.5),
  Item.of('quark:ravager_hide').withChance(0.05)
], 'pandoras_creatures:bufflon_small_storage')

});